# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    router.request_context.scheme: '%env(SITE_BASE_SCHEME)%'
    router.request_context.host: '%env(SITE_BASE_HOST)%'

    app.profile.admin: '%env(PROFILE_ADMIN)%'
    app.profile.acheteur: '%env(PROFILE_ACHETEUR)%'
    app.profile.preparateur: '%env(PROFILE_PREPARATEUR)%'
    app.profile.fileteur: '%env(PROFILE_FILETEUR)%'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        bind:
            $dbPrefix: '%env(DATABASE_PREFIX)%'
            $multisite: '%env(MULTISITE)%'
            $prestashopUrl: '%env(PRESTASHOP_URL)%'
            $storeAliases: '%env(STORE_ALIASES)%'
            $preparer: '%env(STATUS_PREPARER)%'
            $preparee: '%env(STATUS_PREPAREE)%'
            $idPlateaux: '%env(ID_PLATEAUX)%'
            $attrNone: '%env(ATTRIBUTE_NONE)%'
            $projectDir: '%kernel.project_dir%'

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    App\Doctrine\TablePrefix:
        tags:
            - { name: doctrine.event_subscriber, connection: default }
